# Derived values
%define module Date-Calc
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-date-calc
Version: 5.4
Release: 1tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/S/ST/STBEY/Date-Calc-5.4.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
BuildRequires:  perl(Bit::Vector)
BuildRequires:  perl(Carp::Clan)
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib

make install

find $RPM_BUILD_ROOT -name  \*.pod -o -name  .packlist | xargs rm


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc *.txt examples/
%{siteperl}/%{_arch}-linux-thread-multi/auto/Date
%{siteperl}/%{_arch}-linux-thread-multi/Date
%{_mandir}/man3/*

%changelog
* Mon Jun 20 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 5.4-1tr 
- Initial spec for TSL-3.0
